Subject: [nfsv4] Fw: New Version Notification for draft-naik-nfsv4-xattrs-00.txt

From: Manoj Naik <[email-masked]>
Date: Fri, 7 Feb 2014 00:38:04 -0800

I have just submitted a draft proposal to support extended attributes in 
NFS. We've tried to include most of the views expressed on the mailing 
list in the past on this topic, and hoping the discussion can continue 
here, at Connectathon and at London. 

This first draft extends the existing attribute bitmap to include xattrs. 
This is easier to define and implement, but does not allow some operations 
like reading or writing individual xattrs.

Other options mentioned (but not detailed) are:
- define new operations - such as GETXATTR and SETXATTR - solely for 
xattrs. Cleaner, but has some consistency issues with GETATTR/SETATTR 
with respect to attribute caching semantics.
- define new operations - such as GETATTR_PLUS and SETATTR_PLUS (similar 
to extensions to READ/WRITE proposed for 4.2) - that support all the 
features of GETATTR/SETATTR, but include extensions to fully support 
xattrs.

Please provide feedback.

Manoj Naik
IBM Almaden

[email-masked] wrote on 02/07/2014 12:16:01 AM:

> From: [email-masked]
> To: [email-masked], [email-masked]
> Date: 02/07/2014 12:16 AM
> Subject: New Version Notification for draft-naik-nfsv4-xattrs-00.txt
> 
> 
> A new version of I-D, draft-naik-nfsv4-xattrs-00.txt
> has been successfully submitted by Manoj Naik and posted to the
> IETF repository.
> 
> Name:      draft-naik-nfsv4-xattrs
> Revision:   00
> Title:      Support for File System Extended Attributes in NFSv4
> Document date:   2014-02-06
> Group:      Individual Submission
> Pages:      10
> URL:            http://www.ietf.org/internet-drafts/draft-naik-
> nfsv4-xattrs-00.txt
> Status:         
https://datatracker.ietf.org/doc/draft-naik-nfsv4-xattrs/
> Htmlized:       http://tools.ietf.org/html/draft-naik-nfsv4-xattrs-00
> 
> 
> Abstract:
>    This document proposes extensions to existing NFSv4 operations to
>    allow file extended attributes (here forth also referred to as
>    xattrs) to be manipulated in the protocol. An xattr is a file system
>    feature that allows opaque metadata, not interpreted by the file
>    system, to be associated with files and directories and are supported
>    by many modern file systems. New file attributes are proposed to
>    allow clients to query the server for xattr support, and get and set
>    xattrs on file system objects.
> 
> 
>  
> 
> 
> Please note that it may take a couple of minutes from the time of 
submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>